package company_request

import (
	"private-go-sdk/http"
)

type CompanyLicenseDownloadRequest struct {
	// <ext>core:true</ext> 【法人单位id】法人单位id   【作用】 查询指定的法人单位 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号。
	CompanyId string `json:"companyId,omitempty"`
	// <ext>core:true</ext> 【法人单位名称】法人单位名称 【作用】 查询指定的法人单位 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号。
	CompanyName string `json:"companyName,omitempty"`
	// <ext>core:true</ext> 【统一社会信用代码/工商注册号】统一社会信用代码/工商注册号 【作用】 查询指定的法人单位 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号。
	RegisterNo string `json:"registerNo,omitempty"`
}
func (obj CompanyLicenseDownloadRequest) GetUrl() string {
    return "/company/license/download"
}

func (obj CompanyLicenseDownloadRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewGetHttpParameter()
    parameter.AddParam("companyId", obj.CompanyId)
    parameter.AddParam("companyName", obj.CompanyName)
    parameter.AddParam("registerNo", obj.RegisterNo)
    return parameter
}
